<?php

require_once __DIR__ . '/core.php';
require_once __DIR__ . '/AccessManager.php';
/**
 * Description of index
 * 后台测试, 单入口模式
 * @author gwang (mail@wanggangzero.cn)
 */
/**
 * 执行(execute)
 */
core::init('config.php');

core::main();

/**
 * 浏览器输出调用堆栈
 * @return void
 */
function print_stack_trace() {
    /*     * * * *
     *  因为debug_print_backtrace()格式不太易读，自己调整下输出样式
     * * * */
    $array = debug_backtrace();
    unset($array[0]); // 不用打印自己了
    $html = '';
    foreach ($array as $row) {
        $html .= $row['file'] . ', row: ' . $row['line'] . ', method: ' . $row['function'] . ";<p>";
    }
    return $html;
}
